<?php

namespace App\Http\Controllers\Auth;

use App\Enums\StatusEnum;
use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Laravel\Socialite\Facades\Socialite;
use Illuminate\Support\Facades\Auth;
class SocialAuthController extends Controller
{



    /**
     * socail auth redirect function
     *
     * @param Request $request
     * @param $service
     * @return void
     */
    public function redirectToOauth(Request $request, string $service)
    {
  
        return Socialite::driver($service)->redirect();
    }

    /**
     * handle o auth call back
     *
     * @param $service
     * @return void
     */
    public function handleOauthCallback(string $service) : \Illuminate\Http\RedirectResponse
    {
        
        try {
            $userOauth = Socialite::driver($service)->stateless()->user();
        } catch (\Exception $e) {
            return back()->with('error',translate('Setup Your Social Credentail!! Then Try Agian'));
        }

        $user = User::where('email',$userOauth->email)->first();
        
        if(!$user){
            
            $address_data = get_address_by_ip(request()->ip());
            $userAgent = request()->header('User-Agent');
            $address_data ['browser_name'] = browser_name($userAgent);
            $address_data ['device_name'] = get_divice_type($userAgent);
            $user  = new User();

            $user->name = $userOauth->user['name'];

            $user->image = @$userOauth->avatar;

            $user->email = $userOauth->user['email'];
            $user->o_auth_id = $userOauth->user['id'];

            $user->status        =  (StatusEnum::true)->status();
            $user->verified      =  (StatusEnum::true)->status();
            $user->address       =  json_encode($address_data);
            $user->longitude	 =  isset($address_data['lon']) ?  $address_data['lon'] : null;
            $user->latitude	     =  isset($address_data['lat']) ?  $address_data['lat'] : null;
            $user->save();

            if(site_settings('default_notification') == (StatusEnum::true)->status()){
                set_default_notifications($user);
            }
        }
        else{
            $user->image = @$userOauth->avatar;
            $user->save();
        }
        
        Auth::guard('web')->login($user);
        return redirect()->route('user.dashboard')->with('success',translate('Login Success'));
    }

   


    
}
