<!doctype html>
<html lang="{{app()->getLocale()}}" data-layout-default="vertical" data-sidebar-size="lg" data-topbar="light" data-sidebar="dark">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{@site_settings("site_name")}} - {{@translate($title)}}</title>
    <meta name="csrf-token" content="{{csrf_token()}}"/>

    <link rel="shortcut icon" href="{{ getImageUrl(getFilePaths()['site_logo']['path']."/".site_settings('site_favicon')) }}" >
    <link href="{{asset('assets/global/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{asset('assets/global/css/icons.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{asset('assets/global/css/root.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{asset('assets/global/css/style.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{asset('assets/backend/css/custom.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{asset('assets/global/css/toastr.css')}}" rel="stylesheet" type="text/css" />


    @include('admin.partials.theme')

    @stack('style-include')
    @stack('styles')
</head>

<body>

    @php
        $pusher_settings          =  json_decode(site_settings('pusher_settings'),true);
        $notificatios_settings    = auth_user()->notification_settings ? json_decode(auth_user()->notification_settings,true) : [];
        $browser_notificatios_new_ticket = App\Enums\StatusEnum::false->status();
        $browser_notificatios_new_chat = App\Enums\StatusEnum::false->status();
        $admin_assign_ticket = App\Enums\StatusEnum::false->status();
        $agent_assign_ticket = App\Enums\StatusEnum::false->status();
        $agent_ticket_reply = App\Enums\StatusEnum::false->status();
        $user_reply_admin = App\Enums\StatusEnum::false->status();
        $user_reply_agent = App\Enums\StatusEnum::false->status();


        if(isset($notificatios_settings['browser']['new_chat'])){
           $browser_notificatios_new_chat = $notificatios_settings['browser']['new_chat'];
        }
        if(isset($notificatios_settings['browser']['new_ticket'])){
           $browser_notificatios_new_ticket = $notificatios_settings['browser']['new_ticket'];
        }
        if(isset($notificatios_settings['browser']['admin_assign_ticket'])){
           $admin_assign_ticket = $notificatios_settings['browser']['admin_assign_ticket'];
        }
        if(isset($notificatios_settings['browser']['agent_assign_ticket'])){
           $agent_assign_ticket = $notificatios_settings['browser']['agent_assign_ticket'];
        }
        if(isset($notificatios_settings['browser']['agent_ticket_reply'])){
           $agent_ticket_reply = $notificatios_settings['browser']['agent_ticket_reply'];
        }
        if(isset($notificatios_settings['browser']['user_reply_admin'])){
           $user_reply_admin = $notificatios_settings['browser']['user_reply_admin'];
        }
        if(isset($notificatios_settings['browser']['user_reply_agent'])){
           $user_reply_agent = $notificatios_settings['browser']['user_reply_agent'];
        }

   @endphp

    <div id="layout-container">
        @include('admin.partials.topbar')
        @include('admin.partials.sidebar')
        <div class="vertical-overlay"></div>
        <div class="main-container">
            <div class="page-content">
                @yield('content')
            </div>

            <footer class="footer">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-sm-6">
                            {{ translate('App Version') }}  | {{site_settings(key : "app_version",default :1.0)}}
                        </div>
                        <div class="col-sm-6">
                            <div class="text-sm-end d-none d-sm-block">
                              {{site_settings('copy_right_text')}}
                            </div>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <button onclick="topFunction()" class="btn btn-danger btn-icon" id="back-to-top">
            <i class="ri-arrow-up-line"></i>
        </button>

        <audio id="ticket-audio" src="{{asset('assets/global/audio/notifications.mp3')}}" preload="auto"></audio>

    </div>

    <script src="{{asset('assets/global/js/jquery-3.7.1.min.js')}}"></script>
    <script src="{{asset('assets/libs/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{asset('assets/libs/simplebar/simplebar.min.js')}}"></script>
    <script src="{{asset('assets/libs/feather-icons/feather.min.js')}}"></script>
    <script src="{{asset('assets/global/js/pages/plugins/lord-icon-2.1.0.js')}}"></script>
    <script src="{{asset('assets/global/js/layout.js')}}"></script> 
    <script src="{{asset('assets/libs/apexcharts/apexcharts.min.js')}}"></script>
    <script src="{{asset('assets/global/js/toastify-js.js')}}"></script>
    <script src="{{asset('assets/global/js/helper.js')}}"></script>
    <script src="{{asset('assets/global/js/app.js')}}"></script>
    <script src="{{asset('assets/global/js/pusher.min.js')}}"></script>
    <script src="{{asset('assets/global/js/push.js')}}"></script>

    <script>
        "use strict";

        var pusher = new Pusher("{{$pusher_settings['app_key']}}", {
           cluster: "{{$pusher_settings['app_cluster']}}"
        });

        var channel = pusher.subscribe("{{$pusher_settings['chanel']}}");

        channel.bind("{{$pusher_settings['event']}}", function(data) {


            if(data){
                var icon = '{{ getImageUrl(getFilePaths()["site_logo"]["path"]."/".site_settings("site_favicon")) }}';
                var message = "Demo Message";
                var route = "{{route('admin.dashboard')}}";
                var title = "{{translate('Hello '). auth_user()->name }}"
                if(data.notifications_data){

                    message = data.notifications_data.data['messsage'];
                    route = data.notifications_data.data['route']

                    if((data.notifications_data.notification_for == '{{App\Enums\NotifyStatus::SUPER_ADMIN->value}}' || data.notifications_data.notification_for == '{{App\Enums\NotifyStatus::AGENT->value}}' ) && data.notifications_data.notify_id == "{{auth_user()->id}}"){
                        if ((data.notifications_data.for == "new_ticket" && "{{$browser_notificatios_new_ticket}}" == "{{App\Enums\StatusEnum::true->status()}}") || (data.notifications_data.for == "new_chat" && "{{$browser_notificatios_new_chat}}" == "{{App\Enums\StatusEnum::true->status()}}")
                        || (data.notifications_data.for == "admin_assign_ticket" && "{{$admin_assign_ticket}}" == "{{App\Enums\StatusEnum::true->status()}}") || (data.notifications_data.for == "agent_assign_ticket" && "{{$agent_assign_ticket}}" == "{{App\Enums\StatusEnum::true->status()}}")||(data.notifications_data.for == "agent_ticket_reply" && "{{$agent_ticket_reply}}" == "{{App\Enums\StatusEnum::true->status()}}")
                        ||
                        (data.notifications_data.for == "user_reply_admin" && "{{$user_reply_admin}}" == "{{App\Enums\StatusEnum::true->status()}}") ||
                        (data.notifications_data.for == "user_reply_agent" && "{{$user_reply_agent}}" == "{{App\Enums\StatusEnum::true->status()}}")
                        ) {
                            send_browser_notification(title, icon, message, route);
                        }

                        if(data.notifications_data.play_audio){
                            $('#ticket-audio').get(0).play();
                        }
                    }
                }

            }

        });

     

        $(document).on('click','.read-notification',function(e){

            var href = $(this).attr('data-href')
            var id = $(this).attr('id')
            readNotification(href,id)
            e.preventDefault()
        })

        function readNotification(href,id){

            $.ajax({
                method:'post',

                url: "{{route('admin.read.notification')}}",
                data:{

                    "_token": "{{ csrf_token()}}",
                    'id':id
                },
                dataType: 'json'
                }).then(response =>{
                if(!response.status){
                    toastr(response.message,'danger')
                }
                else{
                    window.location.href = href
                }}).fail((jqXHR, textStatus, errorThrown) => {
                    toastr(jqXHR.statusText, 'danger');
                });
        }

        $(document).on('click', '.status-update', function (e) {

            const id = $(this).attr('data-id')
            const key = $(this).attr('data-key')
            var column = ($(this).attr('data-column'))
            var route = ($(this).attr('data-route'))
            var modelName = ($(this).attr('data-model'))
            var status = ($(this).attr('data-status'))
            const data = {

                'id': id,
                'model': modelName,
                'column': column,
                'status': status,
                'key': key,
            }
            updateStatus(route, data)
        })

        function updateStatus(route, data) {
            var responseStatus;
            $.ajax({
                method: 'POST',
                url: route,
                data: {
                    "_token" :"{{csrf_token()}}",
                    data
                },
                dataType: 'json',
                success: function (response) {

                    if (response) {
                        var status =  'danger'
                        if(response.status)
                        {
                            status =  'success'
                        }
                        toastr(response.message,status)
                        if(response.reload){
                            location.reload()
                        }

                    } else {
                        toastr("{{translate('This Function is Not Avaialbe For Website Demo Mode')}}",'danger')
                    }
                },
                error: function (error) {
                    if(error && error.responseJSON){
                            for (let i in error.responseJSON.errors) {
                                toastr(error.responseJSON.errors[i][0],'danger')
                            }
                    }
                    else{
                        toastr("{{translate('This Function is Not Avaialbe For Website Demo Mode')}}",'danger')
                    }

                }
            })
        }


        $(document).on('click', '.note-btn.dropdown-toggle', function (e) {

            var $clickedDropdown = $(this).next();
            $('.note-dropdown-menu.show').not($clickedDropdown).removeClass('show');
            $clickedDropdown.toggleClass('show');
            e.stopPropagation();

        });



        $(document).on('click', function(e) {
            if (!$(e.target).closest('.note-btn.dropdown-toggle').length) {
                $(".note-dropdown-menu").removeClass("show");
            }
        });



        $(document).on('submit','#AiForm',function(e){

            var formData = $(this).serialize();

            $.ajax({
                url: "{{route('ai.content')}}",
                type: "post",
                data:formData,
                dataType:'json',
                success:(function (response) {

                    if(response.status){

                        $('#descriptionSection').removeClass('d-none')
                        $("#description").html(response.message)

                    }
                    else{
                        toastr(response.message,'danger')
                    }

                }),
                error:(function (error) {


                    if(error && error.responseJSON){
                        if(error.responseJSON.message){
                            toastr(error.responseJSON.message,'danger')
                        }
                        else{
                            for (let i in error.responseJSON.errors) {
                            toastr(error.responseJSON.errors[i][0],'danger')
                            }
                        }

                    }
                    else{
                        toastr("{{translate('This Function is Not Avaialbe For Website Demo Mode')}}",'danger')
                    }
                })
            })

            e.preventDefault()
        })





    </script>

    @include('partials.notify')
    @stack('script-include')
    @stack('script-push')
</body>
</html>
