@extends('admin.layouts.master')
@section('content')

	<div class="container-fluid">
		<div class="row">
			<div class="col-12">
				<div class="page-title-box d-sm-flex align-items-center justify-content-between">
					<h4 class="mb-sm-0">
						{{translate($title)}}
					</h4>
					<div class="page-title-right">
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item"><a href="{{route('admin.dashboard')}}">
								{{translate('Home')}}
							</a></li>
							<li class="breadcrumb-item active">
								{{translate('System Information')}}
							</li>
						</ol>
					</div>

				</div>
			</div>
		</div>

		<div class="card">
			<div class="card-header border-bottom-dashed">
			
				<div class="row g-4 align-items-center">
					<div class="col-sm">
						<div>
							<h5 class="card-title mb-0">
								{{translate('About Our System')}}
							</h5>
						</div>
					</div>
					
					@if(check_for_update())

						<div class="col-sm-auto">
							<div class="d-flex flex-wrap align-items-start gap-2">
								<a href="{{route('admin.setting.system.update')}}" class="btn btn-success add-btn waves ripple-light"><i
										class="ri-arrow-up-circle-line align-bottom me-1"></i>
									{{translate('Update System')}}
								</a>
							</div>
						</div>

					@endif

				</div>
			</div>
			<div class="card-body fs-16">
				<ol class="list-group list-group-numbered">
					<li class="list-group-item d-flex justify-content-between align-items-start">
						<div class="ms-2 me-auto">
							{{translate('Document Root Folder')}}
						</div>
						<span>{{$systemInfo['server_detail']['DOCUMENT_ROOT']}}</span>
					</li>
					<li class="list-group-item d-flex justify-content-between align-items-start">
						<div class="ms-2 me-auto">
							{{translate('System Laravel Version')}}
						</div>
						<span>{{$systemInfo['laravel_version']}}</span>
					</li>
					<li class="list-group-item d-flex justify-content-between align-items-start">
						<div class="ms-2 me-auto">
							{{translate("PHP Version")}}
						</div>
						<span>{{$systemInfo['php_version']}}</span>
					</li>
					<li class="list-group-item d-flex justify-content-between align-items-start">
						<div class="ms-2 me-auto">
							{{translate('IP Address')}}
						</div>
						<span>{{$systemInfo['server_detail']['REMOTE_ADDR']}}</span>
					</li>
					<li class="list-group-item d-flex justify-content-between align-items-start">
						<div class="ms-2 me-auto">
							{{translate('System Server host')}}
						</div>
						<span>{{$systemInfo['server_detail']['HTTP_HOST']}}</span>
					</li>
					<li class="list-group-item d-flex justify-content-between align-items-start">
						<div class="ms-2 me-auto">
							{{translate('Database Port Number')}}
						</div>
						<span>{{$systemInfo['server_detail']['DB_PORT']}}</span>
					</li>
				</ol>
			</div>
		</div>
	</div>


@endsection
