@extends('admin.layouts.master')
@push('styles')
 <link href="{{asset('assets/global/css/summnernote.css')}}" rel="stylesheet" type="text/css" />
@endpush
@section('content')
    <div class="container-fluid">
        @php

          $ticketStatus = App\Enums\TicketStatus::toArray();
          $priorityStatus = App\Models\Priority::active()->get();
          $agents = App\Models\Admin::when(auth_user()->agent == App\Enums\StatusEnum::true->status() ,function($q) use($ticket){
            $q->whereJsonContains('categories',(string)$ticket->category_id)->agent();
          })
          ->active()
          ->where('id','!=',auth_user()->id)
          ->get();


    
        @endphp

        <div class="row">
            <div class="col-lg-12">
                <div class="card mt-n4 mx-n4 mb-n5">
                    <div class="bg--primary-light">
                        <div class="card-body pb-4 mb-5">
                            <div class="row">
                                <div class="col-md">
                                    <div class="row align-items-center">
                                        <div class="col-md-auto">
                                            <div class="avatar-md mb-md-0 mb-4">
                                                <div class="avatar-title bg-white rounded-circle">
                                                    <img src="{{getImageUrl(getFilePaths()['profile']['user']['path']."/".@$ticket->user->image) }}" alt="{{@$ticket->user->image}}" class="avatar-sm" />
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md">
                                            <h4 class="fw-semibold" id="ticket-title">
                                                {{$ticket->ticket_number}} - {{limit_words($ticket->subject,25)}} </h4>

                                            <div class="hstack gap-3 flex-wrap">
                                                <div class="text-muted"><i class="ri-bug-line align-bottom me-1"></i><span id="ticket-client">
                                                     {{@get_translation($ticket->category->name) }}
                                                </span></div>
                                                <div class="vr"></div>
                                                <div class="text-muted">{{translate('Create Date')}} : <span class="fw-medium " id="create-date">
                                                    {{getDateTime($ticket->created_at)}}
                                                </span></div>
                                                <div class="vr"></div>

                                                <div class="vr"></div>
                                                @php echo get_bg_status($ticket->status ,false,true) @endphp
                                                @php echo priority_status(@$ticket->linkedPriority->name ,@$ticket->linkedPriority->color_code ,'12') @endphp

            
                                            </div>
                                        </div>
                              
                                    </div>
                             
                                </div>
                          


                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>

            @php
    
                $messages = $ticket->messages()->where(function($q){
                    return $q->whereNull("admin_id")->orWhere(function($query){
                        $query->when(auth_user()->agent == App\Enums\StatusEnum::true->status(), function ($q) {
                            $q->where('admin_id', auth_user()->id);
                        }, function ($q) {
                            $q->whereNotNull('admin_id');
                        });
                    });
                })->get();
            @endphp


        <div class="row mt-4">
            <div class="col-xxl-3">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title mb-0">
                            {{translate("Ticket Details")}}
                        </h5>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table-card">
                            <table class="table table-borderless align-middle mb-0">
                                <tbody>
                                    <tr>
                                        <td class="fw-medium">
                                            {{translate("Ticket")}}
                                        </td>
                                        <td>
                                            {{$ticket->ticket_number}}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="fw-medium">
                                            {{translate("User Name")}}
                                        </td>
                                        <td id="t-client-name">
                                            {{$ticket->name}}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="fw-medium">
                                            {{translate("User Email")}}
                                        </td>
                                        <td id="t-client">
                                            {{$ticket->email}}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="fw-medium">
                                            {{translate("Category")}}
                                        </td>
                                        <td> {{@get_translation($ticket->category->name) }}</td>
                                    </tr>

                                    @if(auth_user()->agent == App\Enums\StatusEnum::false->status())
                                        <tr>
                                            <td class="fw-medium">
                                                {{translate("Assigned To")}}
                                            </td>
                                            <td>
                                                <span class="ms-2 {{count($ticket->agents) == 0 ?"text-danger" :"text-info"}}">
                                                    @if(count($ticket->agents) > 0)
                                                    
                                                        <a href="{{route('admin.ticket.agent',$ticket->agents->first()?->id)}}">
                                                            {{$ticket->agents->first()?->id == auth_user()->id ? 'Me' : $ticket->agents->first()?->name }}
                                                        </a>

                                                    @else
                                                        ({{translate('Unassigned')}})
                                                    @endif
                                                </span>
                                            </td>

                                        </tr>
                                    @endif

                                    @if(check_agent("update_tickets"))
                                        <tr>

                                            <td class="fw-medium">
                                                {{translate("Status")}}:</td>
                                            <td>
                                                <select class="form-select" id="ticket-status" >

                                                    @foreach($ticketStatus as $status=>$val)

                                                      @if($val != 2)
                                                        <option {{$val == $ticket->status ? 'selected' :""}} value="{{$val}}">
                                                            {{
                                                                ucfirst(strtolower($status))
                                                            }}
                                                        </option>
                                                      @endif

                                                    @endforeach

                                                </select>
                                            </td>
                                        </tr>
                                    @endif

                                    
                                    <tr>
                                        <td class="fw-medium">
                                            {{translate('Create Date')}}
                                        </td>
                                        <td id="c-date">
                                            {{getTimeDifference($ticket->created_at)}}
                                        </td>
                                    </tr>

                                    <tr>
                                        <td class="fw-medium">
                                            {{translate('Last Activity')}}
                                        </td>
                                        <td>
                                            {{@getTimeDifference($ticket->messages->first()->created_at)}}
                                        </td>
                                    </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
 
                </div>
  


                @if(auth_user()->agent == App\Enums\StatusEnum::true->status() )
                    <div class="card">
                        <div class="card-header">
                            <h6 class="card-title mb-0">
                                {{translate("Short Notes")}}
                            </h6>
                        </div>
                        <div class="card-body">
                            @php
                               $agentTicket = $ticket->agents->first();
                            @endphp
                             {{  @$agentTicket->pivot->short_notes}}

                        </div>
                    </div>
                @endif



                <div class="card">
                    <div class="card-header">
                        <h6 class="card-title mb-0">
                            {{translate("Previoust Ticket")}}
                        </h6>
                    </div>
                    <div class="card-body">

                        <div class="table-responsive table-card">
                            <table class="table table-borderless align-middle mb-0">
                                <tbody>
                              
                                        @forelse($previousTickets as $previousTicket)
                                            <ul>
                                                <li>
                                                    <a href="{{route('admin.ticket.view',$previousTicket->ticket_number)}}">
                                                        {{limit_words($previousTicket->subject,25)}}
                                                    </a>
                                                </li>
                                            </ul>
                                        @empty

                                            <div class="text-center">

                                                {{translate('No file Found')}}
            
                                            </div>

                                        @endforelse
                                   
                                </tbody>
                            </table>

                        </div>


                    </div>
                </div>


                <div class="card">
                    <div class="card-header">
                        <h6 class="card-title mb-0">
                            {{translate("Custom Ticket Data")}}
                        </h6>
                    </div>
                    <div class="card-body">

                        @php
                           $customData = json_decode($ticket->ticket_data,true);
                        @endphp

                        <div class="table-responsive table-card">
                            <table class="table table-borderless align-middle mb-0">
                                <tbody>
                                    @forelse($customData as $key=>$data)
                                        <tr>
                                            <td class="fw-medium">
                                                {{ucfirst(str_replace('_'," ",$key))}}:
                                            </td>
                                            <td>
                                                {{$data}}
                                            </td>
                                        </tr>
                                    @empty

                                      @include('admin.partials.not_found')

                                    @endforelse
                                </tbody>
                            </table>

                        </div>


                    </div>
                </div>

                <div class="card">
                    <div class="card-header">
                        <h6 class="card-title mb-0">
                            {{translate("Main Ticket Attachment")}}
                        </h6>
                    </div>
                    <div class="card-body">

                        @php
                            $intiMessage =  $ticket->messages->first();
                           $files        =  [];
                           if($intiMessage->file){
                              $files        =  json_decode($intiMessage->file,true);
                           }
                        @endphp


                        @forelse($files as $file)

                            <div class="d-flex align-items-center border border-dashed p-2 rounded">
                                <div class="flex-shrink-0 avatar-sm">
                                    <div class="avatar-title bg-light rounded">
                                        <i class="ri-file-zip-line fs-20 text-primary"></i>
                                    </div>
                                </div>
                                <div class="flex-grow-1 ms-3">
                                    <h6 class="mb-1"><a href="javascript:void(0);" class="text-body">{{translate('File-').$loop->index+1..".".pathinfo($file, PATHINFO_EXTENSION)}}</a></h6>

                                </div>
                                <div class="hstack gap-3 fs-16">
                                    <a href="{{route('admin.ticket.download.file',['id'=>$intiMessage->id  , "name" => $file])}}" class="text-muted"><i class="ri-download-2-line"></i></a>
                                    <a href="{{route('admin.ticket.delete.file',['id'=>$intiMessage->id  , "name" => $file])}}" class="text-muted"><i class="ri-delete-bin-line"></i></a>
                                </div>
                            </div>

                            @empty

                                <div class="text-center">

                                    {{translate('No file Found')}}

                                </div>

                        @endforelse

                    </div>
                </div>


            </div>

            <div class="col-xxl-9">
                
                        <div class="card">
                            <div class="card-header">
                                <h5 class="card-title mb-4">
                                    {{translate('Message')}}
                                </h5>
                                <div class="ticket-action-buttons">

                                    <button class="reply-btn">
                                        <i class="ri-reply-fill"></i>
                                        {{translate("Reply")}}
                                    </button>

                                    @if(site_settings("open_ai") == App\Enums\StatusEnum::true->status())
                                        <button type="button" class="btn py-0 fs-16 text-body" id="aiBtn"   data-bs-toggle="modal" data-bs-target="#aiContent">
                                            <i class='bx bx-bot link-success fs-16'></i>
                                            {{translate("Genarate With Ai")}}
                                        </button>
                                    @endif

                                    @if($ticket->status !=  App\Enums\TicketStatus::CLOSED->value)
                                        <button class="btn btn-success  btn-sm"
                                            data-bs-toggle="modal" data-bs-target="#cannedReply">
                                                <i class="ri-mail-line"></i>
                                                {{translate("Predefined Response")}}
                                        </button>
                                    @endif

                                    @if(check_agent('assign_tickets'))
                                        <button type="button" class="btn py-0 fs-16 text-body" id="settingDropdown" data-bs-toggle="dropdown">
                                            <i class="ri-user-add-fill"></i>
                                            {{translate("Assign")}}
                                        </button>
                          
                                        <form action="{{route('admin.ticket.mark')}}" id="ticketForm" method="post" >
                                            @csrf
                                                @php
                                                $flag = 0;
                                                @endphp
                                            <input class="form-check-input ticket-checked " type="hidden" name="ticket_id[1]"  value="{{$ticket->id}}">
                                            <div class="dropdown-menu" aria-labelledby="settingDropdown">
                                                
                                                @if(auth_user()->agent == App\Enums\StatusEnum::false->status())
                                                    @if($ticket->agents->first()?->id != auth_user()->id )
                                                    @php
                                                       $flag = 1;
                                                    @endphp
                                                        <button value="{{auth_user()->id}}"  name="assign" class="dropdown-item" >
                                                            {{translate('Make Mine')}}
                                                        </button>
                                                    @endif
                                                @endif
                                                @forelse($agents as $agent)
                                                    @if(@$ticket->agents->first()?->id != $agent->id)
                                                        <button data-bs-toggle="modal" data-bs-target="#assignModal" type="button" value="{{ $agent->id}}"  name="assign" class=" agentBtn dropdown-item" >
                                                            {{translate('To ') .$agent->name}}
                                                        </button>
                                                    @endif
                                                @empty
                                                    @if($flag == 0)
                                                        <p class="text-center p-1">
                                                            {{translate('Nothing Found')}}
                                                        </p>
                                                    @endif
                                                @endforelse
                                            </div>
                                        </form>
                                    @endif


                                    @if(check_agent("delete_tickets"))
                                        <button type="button"  data-href="{{route('admin.ticket.delete',$ticket->id)}}" class="delete-item btn py-0 fs-16 text-body">
                                            <i class="ri-delete-bin-6-line link-danger "></i>
                                            {{translate("Delete")}}
                                        </button>
                                    @endif

                                    @php
                                
                                        $mutedTicket = (array)auth_user()->muted_ticket; 

                                        $muted_class = 'ri-notification-4-line';
                                        $muted       = App\Enums\StatusEnum::true->status();

                                        if(in_array($ticket->id ,$mutedTicket)){

                                            $flag = App\Enums\StatusEnum::true->status();
                                            $muted = App\Enums\StatusEnum::false->status();
                                            $muted_class = 'ri-notification-off-line';
                                        }
                                       
                                    @endphp

                                    <a id="mute-user" href="{{route("admin.ticket.make.mute",$ticket->ticket_number)}}"
                                         class="mute-btn btn btn-{{$muted == App\Enums\StatusEnum::false->status()?'danger':"success" }} btn-icon">
                                        <i class="mute-icon {{$muted_class}} icon-sm"></i>
                                    </a>



                                </div>


                                @if($ticket->solved_request  == App\Models\SupportTicket::REQUESTED  && auth_user()->agent == App\Enums\StatusEnum::false->status() )

                                    <div class="ticket-request d-flex  flex-wrap justify-content-start align-items-center gap-3 mt-4">
                                        <div class="mb-0 alert alert-info fs-16  ">
                                          {{$ticket->admin? $ticket->admin->name : TRANSLATE("An Agent") }}  {{Translate("has requested to mark this ticket as 'Solved.' Would you like to accept this request")}} ?? 
                                        </div>
                                        
                                        <div>
        
                                            <a href="{{route("ticket.solve.request",[
                                                "ticketId" => $ticket->id ,
                                                "status"   => '1'
                                            ])}}" class="btn btn-success btn-lg me-2 add-btn waves ripple-light fs-15"
                                            ><i class="ri-checkbox-circle-line align-bottom  "></i>
                                                {{translate("Yes")}}
                                            </a>
                                            <a href="{{route("ticket.solve.request",[
                                                "ticketId" => $ticket->id ,
                                                "status"   => "0"
                                            ])}}" class="btn btn-danger btn-lg add-btn waves ripple-light fs-15"
                                            ><i class="ri-close-circle-line align-bottom "></i>
                                                {{translate("No")}}
                                            </a>
                                    
                                
                                        </div>
                                    </div>
                                @endif
                            </div>
                        </div>


                        <div class="card reply-card d-none ">
                            <div class="card-body pt-0">
                                <div class="replay-container style-dash">
                                    <form action="{{route('admin.ticket.reply')}}" method="post" id="ticketReply" class="mt-4" enctype="multipart/form-data">
                                        @csrf
                                        <div class="row">
                                            <input type="hidden" name="draft_message_id" id="draft_message_id">

                                            @if($ticket->status !=  App\Enums\TicketStatus::CLOSED->value)
                                                <input type="hidden" name="ticket_id" value="{{$ticket->id}}">
                                                <div class="col-12">
                                                    <div class="form-inner">

                                                        <textarea class="form-control summernote" id="text-editor" name="message" rows="3" placeholder="{{translate("Message")}}">{{old("message")}}</textarea>
                                                    </div>
                                                </div>
                                            @else
                                                <div class="col-lg-12 text-center">
                                                        <p class="fs-18 text-danger">
                                                            {{translate('Ticket Closed')}}
                                                        </p>
                                                </div>
                                            @endif
                                        </div>

                                        @if($ticket->status !=  App\Enums\TicketStatus::CLOSED->value)
                                            <div class="row align-items-end g-2">
                                                <div class="col-md-8">
                                                    <div class="form-inner mt-4">
                                                        <label for="ticketFile" class="form-label">
                                                            {{translate('Upload File')}}
                                                            <span class="text-danger">
                                                                ({{translate("Maximum File Upload :")}} {{site_settings("max_file_upload")}})

                                                            </span>
                                                        </label>
                                                        <div class='file-input'>
                                                            <input multiple class="form-control" name="files[]" type="file" id="ticketFile" >
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="col-md-4 mt-3">
                                                    <div class="button-with-select">
                                                        @if(check_agent("update_tickets"))
                                                            <select name="status" class="form-select d-inline rounded-0   btn-primary"  >
                                                                @foreach($ticketStatus as $status=>$val)
                                                                    <option {{$val == $ticket->status ? 'selected' :""}} value="{{$val}}">
                                                                        {{
                                                                            ucfirst(strtolower($status))
                                                                        }}
                                                                    </option>
                                                                @endforeach

                                                            </select>
                                                        @endif

                                                        <button type="submit"
                                                        class="btn btn-md btn-primary rounded-0" aria-expanded="false">
                                                        <i class="ri-reply-fill me-1"></i>
                                                          {{translate("Reply")}}
                                                       </button>
                                                        <div class="dropdown">

                                                            <button class="btn btn-sm btn-primary dropdown-toggle rounded-0 border-start-" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                            
                                                            </button>
                                                            

                                                            <ul class="dropdown-menu">

                                                                @foreach (App\Enums\TicketReply::toArray() as $key => $value )
                                                                     <li class="dropdown-item">
                                                                      
                                                                       <label for="{{$key}}" class="cursor-pointer">
                                                                            {{translate('Send & ')}} {{
                                                                                ucfirst(strtolower(str_replace('_'," ",$key)))
                                                                             }}
                                                                       </label>

                                                                    <input hidden {{$loop->index == 0 ? "checked" :""}}   type="radio" name="redirect_to" value="{{$value}}" id="{{$key}}">
                                                                    </li>
                                                                @endforeach
                                                               
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @endif
                                    </form>

                                </div>
                            </div>
                        </div>

						<div class="all-reply-item" data-simplebar>
                            @foreach($messages as $message)
                                @php
                                  $files = $message->file ? json_decode($message->file,true) : [];
                                @endphp

                                <div class="card" id="messageCard-{{$message->id}}">
                                    <div class="card-body">
                                        <div class="reply-item">
                                            <div class="item-header">
                                                <div class="row g-sm-4 align-items-center">
                                                    <div class="col-lg-6">
                                                        <div class="author-area">

                                                                @if($message->admin)

                                                                    <img class="rounded-circle header-profile-user" src="{{getImageUrl(getFilePaths()['profile']['admin']['path']."/". $message->admin->image) }}" alt="{{$message->admin->image}}">


                                                                @else

                                                                    <img class="rounded-circle header-profile-user" src="{{getImageUrl(getFilePaths()['profile']['user']['path']."/". @$ticket->user->image) }}" alt="{{@$ticket->user->image}}">

                                                                @endif


                                                            <div class="author-info">                                                         
                                                                <h6>
                                                                    {{$message->admin? $message->admin->name : $ticket->name }}
                                                                </h6>
            
                                                                @if($message->admin && $message->is_draft ==  App\Enums\StatusEnum::false->status())

                                                                    <p>{{translate("Replied To")}}
                                                                        <a href="mailto:{{$ticket->email}}">
                                                                            {{$ticket->email}}
                                                                        </a>
                                                                    </p>

                                                                @endif

                                                                @if($message->is_draft ==  App\Enums\StatusEnum::true->status())

                                                                    <div class="d-flex align-items-center gap-2 mt-1">
                                                                        <p>
                                                                            {{translate("Draft Message")}}
                                                                        </p>
                                                                        <button data-message="{{$message->message}}" data-id="{{$message->id}}"  type="button" class="btn btn-sm btn-success add-btn edit-draft">
                                                                            {{translate('Edit')}}
                                                                        </button>

                                                                        <button id="add-ticket-option" data-href="{{route('admin.ticket.delete.message',$message->id)}}" type="button" class="btn btn-sm btn-danger add-btn delete-item">
                                                                            {{translate('Delete')}}
                                                                        </button>
                                                                    </div>

                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-lg-6 text-lg-end text-center d-flex align-items-center justify-content-end gap-2 ">
                                                        <div class="reply-time">
                                                            <span>   ({{getTimeDifference($message->created_at)}})</span>
                                                        </div>

                                                        @if($message->admin)
                                                        <i class=" fs-16 link-success ri-check-{{$message->seen == App\Enums\StatusEnum::true->status() ?"double-":""}}fill"></i>
                                                        @endif


                                                        <div class="dropdown">
                                                            <button   class="btn btn-ghost-secondary btn-icon btn-sm fs-16" type="button"
                                                                data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                <i class="ri-more-2-fill align-bottom"></i>
                                                            </button>

                                                            @if(check_agent("delete_tickets"))
                                                                <div class="dropdown-menu">
                                                                    <button  type="button" data-href="{{route('admin.ticket.delete.message',$message->id)}}" class="dropdown-item delete-item" >
                                                                        {{translate('Delete')}}
                                                                    </button>
                                                                    <button data-id="{{$message->id}}" data-message ="{{$message->message}}"  type="button"  class="dropdown-item edit-message" >
                                                                        {{translate('Edit')}}
                                                                </button>
                                                                    @php  
                                                                    $originalMessage = $message->original_message?? $message->message ;
                                                                    @endphp

                                                                <button data-message ="{{$originalMessage}}"  type="button" class="dropdown-item   show-message" >
                                                                        {{translate('Show Original')}}
                                                                </button>
                                                                </div>
                                                            @endif

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="item-body">
                                                
                                                @php 
                                                    echo $message->message @endphp

                                                    @if(count($files) != 0)

                                                            <div class="attachment-group">

                                                                @foreach( $files  as $file)
                                                                    <a href="{{route('admin.ticket.download.file',['id'=>$message->id  , "name" => $file])}}" class="download-attach">
                                                                        <i class="ri-download-2-line"></i>
                                                                        <span>{{translate('File-').$loop->index+1..".".pathinfo($file, PATHINFO_EXTENSION)}}</span>
                                                                    </a>
                                                                @endforeach

                                                            </div>

                                                    @endif
                                            </div>
                                        </div>
                                    </div>
                                </div>
                        
                            @endforeach

                            @if($messages->count() == 0)
                                <div class="card">
                                    <div class="card-body">
                                        <div class="reply-item">

                                            <div class="item-body">

                                                @include('admin.partials.not_found')

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif
                       </div>
            </div>
            <!--end col-->
        </div>

        <form action="{{route('admin.ticket.status.update')}}" id="statusUpdate" method="post">
            @csrf
            <input name="key" id="key" type="hidden">
            <input name="status" id="status" type="hidden">
            <input name="id" id="ticket-id" type="hidden">
        </form>

		@include('modal.delete_modal')


        <!-- assign modal -->

        <div class="modal fade" id="assignModal" tabindex="-1" aria-labelledby="assignModal" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="{{route('admin.ticket.mark')}}" method="post" >
                        @csrf
                        <div class="modal-header p-3">
                            <h5 class="modal-title" >{{translate('Assign Ticket With Sort Notes')}}
                            </h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                aria-label="Close" ></button>
                        </div>

                        <div class="modal-body">
                            <input class="form-check-input ticket-checked " type="hidden" name="ticket_id[1]"  value="{{$ticket->id}}">

                            <div class="mb-3">
                                <label for="message-text" class="col-form-label">{{translate("Message")}}:</label>
                                <textarea class="form-control" name="short_note" id="message-text" placeholder="{{translate("Write Short Note Here")}} ...... "></textarea>
                            </div>

                            @if(auth_user()->agent == App\Enums\StatusEnum::false->status() )
                                <div class="mb-3">
                                    <label for="message-text" class="col-form-label">{{translate("Priority")}}:</label>
                                        <select name="priority_id" class="form-select"  >
                                            @foreach($priorityStatus as $priority)
                                                <option {{$priority->id == $ticket->priority_id ? 'selected' :""}} value="{{$priority->id}}">
                                                    {{
                                                        $priority->name
                                                    }}
                                                </option>
                                            @endforeach
                                        </select>
                                </div>
                            @endif
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                                {{translate("Close")}}
                            </button>
                            <button type="submit" name="assign" class="btn btn-primary assignedToBtn">
                                {{translate('Submit')}}
                            </button>
                        </div>
                   </form>
                </div>
            </div>
        </div>

        <!-- canned modal -->
        <div class="modal fade" id="cannedReply"  data-bs-keyboard="false" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg">
                <div class="modal-content">
                    <div class="modal-header p-3">
                        <h5 class="modal-title" id="modalTitle">{{translate('Canned Reply')}}
                        </h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                            aria-label="Close" ></button>
                    </div>

                    @php
                    $cannedReplay =  App\Models\CannedReply::active()->where('admin_id',auth_user()->id)->get();
                    @endphp

                    <div class="modal-body">
                        <div class="row g-3">
                            <div class="col-xl-12">
                                <div class="row">
                                    <div class="col-lg-12">


                                        <div class="mb-3">
                                            <label class="form-label" for="cannedReplyBody">
                                                {{translate('Reply List')}}

                                            </label>
                                    
                                            <select name="reply" class="form-select" id="cannedReplyBody" required>

                                                <option value="">
                                                    {{translate('Select Template')}}
                                                </option>
                                                @foreach($cannedReplay  as $reply)
                                                <option value="{{$reply->body}}">
                                                    {{$reply->title}}
                                                </option>
                                                @endforeach

                                            </select>

                                        </div>


                                    </div>

                                </div>
                            </div>
                        </div>


                    </div>

                </div>
            </div>
        </div>


        
        <div class="modal fade" id="updateMessage"  data-bs-keyboard="false" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg">
                <div class="modal-content">
                    <form action="{{route('admin.ticket.update.message')}}" method="post">
                        @csrf
                        <div class="modal-header p-3">
                            <h5 class="modal-title" id="modalTitle">{{translate('Update Message')}}
                            </h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                aria-label="Close" ></button>
                        </div>

                    
                        <div class="modal-body">
                            <div class="row g-3">
                                <div class="col-xl-12">
                                    <div class="row">
                                        <div class="col-lg-12">
                            
                                            <input type="text" name="id" hidden id="messageId">

                                            <div class="mb-3">

                                                <textarea class="form-control update-message"  name="message" rows="3" placeholder="{{translate("Message")}}"></textarea>

                                            </div>

                                        </div>

                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                                {{translate("Close")}}
                            </button>
                            <button type="submit" name="assign" class="btn btn-primary assignedToBtn">
                                {{translate('Submit')}}
                            </button>
                        </div>
                    </form>

                </div>
            </div>
        </div>



        <div class="modal fade" id="showMessage"  data-bs-keyboard="false" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg">
                <div class="modal-content">
            
                        <div class="modal-header p-3">
                            <h5 class="modal-title" id="modalTitle">{{translate('Original Message')}}
                            </h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                aria-label="Close" ></button>
                        </div>

                    
                        <div class="modal-body">
                            <div class="row g-3">
                                <div class="col-xl-12">
                                    <div class="row">
                                        <div class="col-lg-12" id="originalMesssage">
                            
                                        

                                        </div>

                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-light" data-bs-dismiss="modal">
                                {{translate("Close")}}
                            </button>
                        
                        </div>

                </div>
            </div>
        </div>


        @php
            $lastReply  = $ticket->messages()
                        ->whereNull('admin_id')
                        ->latest()
                        ->first();

        @endphp
        
        @include('admin.partials.ai_modal',['message' => $lastReply?strip_tags($lastReply->message):"" ])
   
    </div>
@endsection

@push('style-include')
    <link href="{{ asset('assets/global/css/ticket.css') }}" rel="stylesheet" type="text/css" />
@endpush

@push('script-include')
	<script src="{{asset('assets/global/js/summernote.min.js')}}"></script>
	<script src="{{asset('assets/global/js/editor.init.js')}}"></script>
@endpush

@push('script-push')
    <script>
        (function($) {
            "use strict";


            $(document).on('click','.show-message',function(e){

                var message   = $(this).attr('data-message');

                $('#originalMesssage').html(message)
                var modal = $('#showMessage')
                modal.modal('show')

            });

          
            $(document).on('click','.edit-message',function(e){

                var id        = $(this).attr('data-id');
                var message   = $(this).attr('data-message');
                $('#messageId').val(id);
                $('.update-message').html(message);

                $('.update-message').summernote({
                    height: 300,
                    placeholder: '{{translate("Start typing...")}}',
                    toolbar: [
                        ['style', ['bold', 'italic', 'underline', 'clear']],
                        ['font', ['strikethrough', 'superscript', 'subscript']],
                        ['fontsize', ['fontsize']],
                        ['color', ['color']],
                        ['para', ['ul', 'ol', 'paragraph']],
                        ['height', ['height']],
                        ['insert', ['picture', 'link', 'video']],
                        ['view', ['codeview']],
                    
                    ],
                    callbacks: {
                        onInit: function() {
                            
                        }
                    }
                });
                var modal = $('#updateMessage')
                modal.modal('show')

            })


            $(document).keydown(function(event) {

                if (event.key.toUpperCase() === 'R' 
                && !event.ctrlKey 
                && !event.altKey 
                && !event.shiftKey 
                && !event.metaKey 
                && !isTypingInInputField(event)) {
                    enable_reply_option();
                }
            });

            $(document).on('click','.reply-btn',function(e){
                enable_reply_option()
            })

            
            function isTypingInInputField(event) {
                var targetTagName = event.target.tagName.toLowerCase();
                return (targetTagName === 'input' || targetTagName === 'textarea' || targetTagName === 'div');
            }

            function enable_reply_option (){
                $('.reply-card').toggleClass('d-none')
            }


            $(document).on('click','#aiBtn',function(e){

    
                $("#description").html('')
                $("#descriptionSection").addClass('d-none')

            })


            $(document).on('change','#ticket-status',function(e){
                 $('#status').val($(this).val())
                 $('#key').val('status')
                 $('#ticket-id').val("{{$ticket->id}}")
                 $('#statusUpdate').submit()
                e.preventDefault()
            })

            $(document).on('change','#priority-status',function(e){
                 $('#status').val($(this).val())
                 $('#key').val('priority')
                 $('#ticket-id').val("{{$ticket->id}}")
                 $('#statusUpdate').submit()
                e.preventDefault()
            })

            $(document).on('change','#cannedReplyBody',function(e){
                var html  = $(this).val()
                $('.summernote').summernote('destroy');
                $('.summernote').html(html);
                $('.summernote').summernote({
                    height: 300,
                    placeholder: '{{translate("Start typing...")}}',
                    toolbar: [
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['font', ['strikethrough', 'superscript', 'subscript']],
                    ['fontsize', ['fontsize']],
                    ['color', ['color']],
                    ['para', ['ul', 'ol', 'paragraph']],
                    ['height', ['height']],
                    ['insert', ['picture', 'link', 'video']],
                    ['view', ['codeview']],
                    
                    ],
                    callbacks: {
                        onInit: function() {
                            
                        }
                    }
                });
                $('#cannedReply').modal('hide')
                $('.reply-card').removeClass('d-none')
                e.preventDefault()
            })

            $(document).on('click','.agentBtn',function(e){

               var agentId = $(this).attr('value')
               $('.assignedToBtn').val(agentId)

            });


            var formSubmitted = false;

            $('#ticketReply').submit(function () {
                formSubmitted = true;
            });

            $(window).on('unload', function () {
                if (!formSubmitted) {
                    saveDraft();
                }
            });

            $(document).on('click', 'a:not([target="_blank"])', function (e) {
                if (!formSubmitted && !$(e.target).closest('#text-editor').length) {
                    saveDraft();
                }
            });


            $(document).on('click', '.edit-draft', function (e) {
                
                var message = $(this).attr('data-message');
                var id      = $(this).attr('data-id');
                $(`#messageCard-${id}`).addClass('d-none');
                $('#draft_message_id').val(id);
                $('.reply-card').removeClass('d-none')
                $('.summernote').summernote('destroy');
                $('.summernote').html(message);


                $('.summernote').summernote({
                    height: 300,
                    placeholder: '{{translate("Start typing...")}}',
                    toolbar: [
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['font', ['strikethrough', 'superscript', 'subscript']],
                    ['fontsize', ['fontsize']],
                    ['color', ['color']],
                    ['para', ['ul', 'ol', 'paragraph']],
                    ['height', ['height']],
                    ['insert', ['picture', 'link', 'video']],
                    ['view', ['codeview']],
                    
                    ],
                    callbacks: {
                        onInit: function() {
                            
                        }
                    }
                });
                

            });
  
            
            function saveDraft() {

                var draftContent = $('#text-editor').summernote('code');
                var draftId      = $('#draft_message_id').val();

                $.ajax({
                    type: 'POST',
                    url:"{{ route('admin.ticket.save.draft')}}",
                    data: {
                        _token: '{{ csrf_token() }}',
                        draft: draftContent,
                        ticket_id   : "{{$ticket->id}}",
                        draft_id    : draftId,
        
                    },
                    success: function(data) {

       
                        
                    },

                    error: function (error) {

                        if(error && error.responseJSON){
                            if(error.responseJSON.errors){
                                for (let i in error.responseJSON.errors) {
                                    toastr(error.responseJSON.errors[i][0],'danger')
                                }
                            } 
                        } 
                    }
                });
            }

        })(jQuery);

    </script>

@endpush
