@extends('admin.layouts.master')

@push('styles')

   <link rel="stylesheet" href="{{asset('assets/global/css/flatpickr.min.css')}}">

   <link href="{{ asset('assets/global/css/ticket.css') }}" rel="stylesheet" type="text/css" />

@endpush
@section('content')
    <div class="container-fluid">

        @php
           $agents = App\models\Admin::agent()->active()->where('id','!=',auth_user()->id)->get();
        @endphp


        <div class="email-wrapper d-lg-flex gap-2 pb-4">
            <div class="email-menu-sidebar">
                <div class="sidebar-menu-close d-xl-none d-block"><i class="ri-close-fill"></i>
                </div>

                <div class="p-4 d-flex flex-column h-100">
                    <div class="mx-n4 px-4 email-menu-sidebar-scroll" data-simplebar>
                        <h5 class="fs-12 text-uppercase">
                            {{translate("Inbox")}}
                        </h5>
                        <div class="mail-list ticket-categories">

                        </div>

                        @if(auth_user()->agent == App\Enums\StatusEnum::false->status())
                            <div>
                                <h5 class="fs-12 text-uppercase mt-3">
                                    {{translate("Tags")}}
                                </h5>

                                <div class="mail-list tag-list mt-1">

                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </div>

            <div class="email-content">
                    <form action="{{route('admin.ticket.mark')}}" id="ticketForm" method="post" >
                        @csrf
                        <div class="border-bottom ps-0 pt-3">
                            <div class="row mb-3 mb-sm-0 gy-3">
                                <div class="col col-sm-auto order-1 d-block d-xl-none">
                                    <button type="button" class="btn btn-soft-success btn-icon btn-sm fs-16 email-menu-btn">
                                        <i class="ri-menu-2-fill align-bottom"></i>
                                    </button>
                                </div>

                                <div class="col-lg-5 order-3 order-sm-2">
                                    <div class="hstack gap-sm-1 align-items-center flex-wrap email-topbar-link ps-3">
                                        <div class="form-check fs-14 m-0">
                                            <input class="form-check-input" type="checkbox" value="" id="checkall">
                                            <label class="form-check-label" for="checkall"></label>
                                        </div>
                                        <div id="ticketAction" class="d-none">
                                            <div class="hstack gap-sm-1 align-items-center flex-wrap">

                                                @if(check_agent("assign_tickets"))


                                                    <div class="dropdown" data-bs-toggle="tooltip" data-bs-trigger="hover" data-bs-placement="top"
                                                    title="Assign">
                                                        <button class="link-success btn btn-ghost-secondary btn-icon btn-sm fs-16" type="button"
                                                            data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                            <i class="ri-user-add-line align-bottom"></i>
                                                        </button>
                                                        <div class="dropdown-menu dropdown-menu-end">
                                                            @if(auth_user()->agent == App\Enums\StatusEnum::false->status())
                                                                <button value="{{auth_user()->id}}"  name="assign" class="dropdown-item" >
                                                                    {{translate('Make Mine')}}
                                                                </button>
                                                            @endif
                                                            @foreach($agents as $agent)
                                                                <button value="{{ $agent->id}}"  name="assign" class="dropdown-item" >
                                                                    {{translate('To ') .$agent->name}}
                                                                </button>
                                                            @endforeach
                                                        </div>
                                                    </div>

                                                @endif

                                                @if(check_agent("delete_tickets"))

                                                    <div data-bs-toggle="tooltip" data-bs-trigger="hover" data-bs-placement="top"
                                                        title="Delete">
                                                        <button type="button" name='btn' value='delete'
                                                            class=" mark-delete btn btn-ghost-secondary delete-ticket link-danger btn-icon btn-sm fs-16">
                                                            <i class="ri-delete-bin-5-fill align-bottom"></i>
                                                        </button>
                                                    </div>

                                                @endif


                                                @if(check_agent("update_tickets"))

                                                    <div class="dropdown">
                                                        <button   class="btn btn-ghost-secondary btn-icon btn-sm fs-16" type="button"
                                                            data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                            <i class="ri-more-2-fill align-bottom"></i>
                                                        </button>
                                                        <div class="dropdown-menu dropdown-menu-end">

                                                            @foreach( App\Enums\TicketStatus::toArray() as $key=>$val)

                                                                @if($key == 'SOLVED' && auth_user()->agent == App\Enums\StatusEnum::true->status())

                                                                   @continue

                                                                @endif

                                                                <button value="{{$val}}"  name="status" class="dropdown-item" >
                                                                    {{translate('Mark as '). Str::ucfirst(strtolower($key)) }}
                                                                </button>
                                                            @endforeach
                                                        </div>
                                                    </div>
                                                @endif
                                            </div>
                                        </div>

                                        <div class="dropdown">
                                            <button class="btn btn-ghost-secondary btn-icon btn-sm fs-16" type="button"
                                                data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">

                                                <i class="ri-file-ppt-2-line align-bottom"></i>
                                            </button>
                                            <div data-bs-toggle="tooltip" data-bs-trigger="hover" data-bs-placement="top"
                                            title="{{translate("Export")}}"    class="dropdown-menu">

                                                <a class="dropdown-item" href="{{route('admin.ticket.export','pdf')}}">
                                                    {{Translate('Export As Pdf')}}
                                                </a>

                                                <a class="dropdown-item" href="{{route('admin.ticket.export','csv')}}">
                                                    {{Translate('Export As Csv')}}
                                                </a>

                                            </div>
                                        </div>



                                    </div>
                                </div>

                                <div class="col-lg-7 col-auto order-2 order-sm-3">

                                    <div class="d-flex gap-3 flex-wrap flex-sm-nowrap align-items-center gap-sm-1 email-topbar-link">

                                        @php

                                          $priorites = App\Models\Priority::active()->get();

                                        @endphp


                                        <select class="form-select" name="priority" id="priority">

                                           <option value="">
                                              {{
                                                translate('Select Priority')
                                              }}
                                           </option>

                                            @foreach($priorites as $priority)
                                              <option value="{{$priority->id}}">
                                                  {{$priority->name}}
                                              </option>
                                            @endforeach

                                        </select>

                                        <input type="text" class="form-control" id="searchDate" name="date_range" placeholder="{{translate('Search By Date')}}" >

                                        <input type="text" class="form-control" id="searchInput" name="search" placeholder="{{translate('Search By Name, or Ticket Number')}}" >


                                        <button type="button" class="filter btn btn-primary btn-md"> <i class="ri-search-line me-1 align-bottom"></i>

                                        </button>

                                        <a  href="{{route("admin.ticket.list")}}" class="btn btn-danger btn-md res">
                                            <i class="ri-refresh-line align-bottom"></i>
                                        </a>

                                    </div>
                                </div>
                            </div>

                            <div class="row align-items-end mt-3">
                                <div class="col-lg">
                                    <div id="mail-filter-navlist">
                                        <ul class=" ticket-status nav nav-tabs nav-tabs-custom nav-primary gap-lg-2 gap-1 text-center border-bottom-0">

                                        </ul>
                                    </div>
                                </div>

                                <div class="col-lg-auto my-2 ticket-counter d-none">
                                    <div class="text-muted text-end">1-
                                        <span id="currentPageData">
                                        </span>
                                        {{translate("Of")}}
                                        <span  id="totalPageData"></span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-content">
                            <div class="tab-pane fade show active" >
                                <div class="message-list-content message-list-scroll" data-simplebar>
                                    <div class="d-none" id="elmLoader">
                                        <div class="spinner-border text-primary avatar-sm" role="status">
                                            <span class="visually-hidden"></span>
                                        </div>
                                    </div>

                                    <ul class="message-list" id="ticket-list">


                                    </ul>

                                    <div class="text-center pt-4 load-more-div d-none">
                                        <button type="button" class="btn btn-md btn-success add-btn waves ripple-light load-more">
                                            <i class="ri-refresh-line align-bottom me-1"></i>
                                            {{translate('Load More')}}
                                        </button>

                                    </div>

                                </div>
                            </div>
                        </div>
                   </form>
            </div>
        </div>
    </div>

    <!-- delete modal -->

    <div class="modal fade zoomIn" id="delete-modal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header delete-modal-header ">

                </div>
                <div class="modal-body">
                    <div class="mt-2 text-center">
                        <lord-icon src="{{asset('assets/global/json/gsqxdxog.json')}}" trigger="loop"
                            colors="primary:#f7b84b,secondary:#f06548"
                            class="loader-icon"></lord-icon>
                        <div class="mt-4 pt-2 fs-15 mx-4 mx-sm-5">
                            <h4>
                            {{translate('Are you sure ?')}}
                            </h4>
                            <p class="text-muted mx-4 mb-0">
                                {{translate('Are you sure you want to
                                remove this record ?')}}
                            </p>
                        </div>
                    </div>
                    <div class="d-flex gap-2 justify-content-center mt-4 mb-2">
                        <button type="button" class="btn w-sm btn-light"
                            data-bs-dismiss="modal">
                            {{translate('Close')}}

                        </button>
                        <button type="button" class="btn w-sm btn-danger "
                            id="markDeleteItem">
                            {{translate('Yes, Delete It!')}}
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- response time modal -->

    <div class="modal fade" id="responseTimeModal"  data-bs-keyboard="false" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-md">
            <div class="modal-content">
                <div class="modal-header p-3">
                    <h5 class="modal-title" id="modalTitle">{{translate('Respone & Resolve Time')}}
                    </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close" ></button>
                </div>

                    <div class="modal-body">
                        <div class="row g-3">
                            <div class="col-xl-12">
                                <div class="row">
                                    <div class="col-lg-12">

                                         <div class="mb-3 fs-15" id="prioritySection">


                                         </div>


                                        <div class="fs-15" id ="responseTime">



                                        </div>



                                    </div>

                                </div>
                            </div>
                        </div>


                    </div>

            </div>
        </div>
    </div>


@endsection


@push('script-include')

   <script src="{{asset('assets/global/js/flatpickr.js')}}"></script>


@endpush



@push('script-push')
    <script>
        (function($) {
            "use strict";


            $("#searchDate").flatpickr({
                mode: "range"
            });


            $(document).on('click','.response-modal', function(e){

                var modal = $("#responseTimeModal");

                var priority     =  JSON.parse($(this).attr('data-priority'))
                var responseAt   =  JSON.parse($(this).attr('data-response'))
                var resolvedAt   =  JSON.parse($(this).attr('data-resolved'))
                var colorCode    = priority.color_code
                var priorityName       = priority.name

                var span = `<span class="  badge rounded-pill" style="background: ${colorCode}" >
                   ${priorityName}
               </span>`;

               var response = `<div class='mb-2' >
                                    Response In: ${priority.response_time.in} ${priority.response_time.format}

                                     <span class=" ${responseAt.status ? "text-success" :"text-danger" }  ms-2"> (<i class="ri-${responseAt.status ? "checkbox" :"close" }-circle-line ${responseAt.status ? "link-success" :"link-danger" }  badge-icon"></i> ${responseAt.message}) </span>

                                </div>
                                <div>
                                    Resolve In: ${priority.resolve_time.in} ${priority.resolve_time.format}
                                    <span class="${resolvedAt.status ? "text-success" :"text-danger" } ms-2"> (<i class="ri-${resolvedAt.status ? "checkbox" :"close" }-circle-line ${resolvedAt.status ? "link-success" :"link-danger" } badge-icon"></i> ${resolvedAt.message}) </span>
                                </div>`

                $('#responseTime').html(response)


                $("#prioritySection").html(

                    `<span class > Priority </span> : ${span}`
                )



                modal.modal('show')
                e.preventDefault()
            })


            var page = 1;
            var category_id = null;
            var status = null;

            @if(request()->routeIs("admin.ticket.pending"))
                status ="{{App\Enums\TicketStatus::PENDING->value}}";
            @elseif(request()->routeIs("admin.ticket.solved"))
                status ="{{App\Enums\TicketStatus::SOLVED->value}}";
            @elseif(request()->routeIs("admin.ticket.closed"))
                status ="{{App\Enums\TicketStatus::CLOSED->value}}";
            @endif

            @if(request()->routeIs("admin.ticket.category"))
               category_id ="{{request()->route('categoryId')}}"
            @endif


            var tag  = null;
            var priority  = null;
            var reset = false;
            var search = null;
            var date_range = null;
            var agent_id  = "{{request()->route('id')}}";
            $(document).ready(function() {

                loadMoreData(page);
            });



            $(document).on('click','.filter',function(e){
                    reset  = true;
                    search = $('#searchInput').val();
                    date_range = $('#searchDate').val();
                    priority = $('#priority').val();
                    loadMoreData(page,true);
            });

        //get data by tag
        $(document).on('click','.ticket-tag',function(e){

            page = 1;
            reset = true;
            status = null;
            date_range = null
            priority  = null
            search = null;
            tag = $(this).attr('data-tag')
            loadMoreData(page,true);
        })

        $(document).on('click','.load-more',function(e){
            page++;
            reset = false
            loadMoreData(page,true);
            e.preventDefault()
        })
        //reset ticket view
        $(document).on('click','.reset-table',function(e){

            $("#searchInput").val('')
            $("#searchDate").val('')
            page = 1;
            reset = true;
            status = null;
            search  = null;
            date_range = null
            priority  = null
            tag = null;
            category_id= null;
            loadMoreData(page );
            e.preventDefault()
        })

        //get ticket by category
        $(document).on('click','.ticket-category',function(e){

            category_id = $(this).attr('data-id')
            page = 1;
            reset = true;
            status = null;
            search = null;
            date_range = null
            priority  = null
            tag = null;
            loadMoreData(page)
            $('.ticket-categoires .active').removeClass('active');
            $(this).addClass('active')
            e.preventDefault()
        })

        //get ticket by status
        $(document).on('click','.status-filter-btn',function(e){
            page = 1;
            reset = true;
            status = $(this).attr('data-status')
            loadMoreData(page,true)
            e.preventDefault()

        });

        // load more data after scroll
        function loadMoreData(page ,loadBtn = false ) {

            $.ajax({
                    url: "{{route('admin.ticket.list')}}",
                    type: "get",
                    data:{
                        'page' : page,
                        'category_id' : category_id,
                        'status' : status,
                        'tag' : tag,
                        'search' : search,
                        'date_range' : date_range,
                        'agent_id' : agent_id,
                        'priority' : priority,
                    },
                    dataType:'json',
                    beforeSend: function () {
                        $('#elmLoader').removeClass('d-none');
                    },
                    success:(function (response) {

                        $('.load-more-div').removeClass('d-none')
                        $('#elmLoader').addClass('d-none');
                        if(response.current_page_ticket == response.total_ticket){
                            $('.load-more-div').addClass('d-none')
                        }
                        if(response.total_ticket > 0 ){
                            $('.ticket-counter').removeClass('d-none')
                            $("#currentPageData").html(response.current_page_ticket)
                            $("#totalPageData").html(response.total_ticket)
                        }
                        else{
                            $('.ticket-counter').addClass('d-none')
                        }

                        $(".ticket-status").html(response.status_html)
                        $(".ticket-categories").html(response.categories_html)
                        if(!loadBtn){
                            $(".tag-list").html(response.tag_html)
                        }
                        if(reset){
                            $('#ticket-list').html(response.ticket_html)
                        }
                        else{
                            $('#ticket-list').append(response.ticket_html)
                        }

                        $(`#checkall`).prop('checked', false);

                     }),

                     error:(function (response) {
                        $('#elmLoader').addClass('d-none');

                        $('#ticket-list').html(`
                            <div class="text-center text-danger mt-10">
                                ${response.statusText}
                            </div>
                        `)

                        toastr(response.statusText, 'danger');

                    })
                })
        }

        // check all checkbox
        $(document).on('click','#checkall',function(e){

            if($(this).is(':checked')){
                $('#ticketAction').removeClass('d-none')
                $(`.ticket-checked`).prop('checked', true);
            }
            else{
                $('#ticketAction').addClass('d-none')
                $(`.ticket-checked`).prop('checked', false);
            }
        });

        //single checkbox event

        $(document).on('click','.ticket-checked',function(e){

            if($(this).is(':checked')){
                $('#ticketAction').removeClass('d-none')
            }
            else{
                if($(`.ticket-checked:checked`).length == 0){
                    $('#ticketAction').addClass('d-none')
                }
            }
            checkebox_event(".ticket-checked",'#checkall');

        });

        //mark delete evenet
        $(document).on('click',".mark-delete",function(e){
            $('#delete-modal').modal('show')
        });

        //cofirm delete
        $(document).on('click',"#markDeleteItem",function(e){

            e.preventDefault()
            $('#ticketForm').submit()

        });

        })(jQuery);
    </script>
@endpush
