
@forelse ($tickets as $ticket)

    <li class="{{$ticket->messages_count > 0 || $ticket->status == App\Enums\TicketStatus::PENDING->value ? "unread" :""}}">
        <div class="col-mail col-mail-1">
            <div class="form-check checkbox-wrapper-mail fs-14">
                <input
                    class="form-check-input ticket-checked " type="checkbox" name="ticket_id[{{$loop->index}}]"  value="{{$ticket->id}}"
                    id="{{$loop->index."-checkbox"}}"> <label class="form-check-label"
                    for="{{$loop->index."-checkbox"}}"></label>
                    <a class="fs-13" href="{{route('admin.ticket.view',$ticket->ticket_number)}}">
                        {{$ticket->ticket_number}}
                    </a>

                    @php

                         $olderMessage  = $ticket->messages->whereNotNull('admin_id')?->first();
                         $resolvedAt    = $ticket->solved_at;

                         $responsedIn   =  [
                            "status"    => false,
                            "message"   => translate("No Response Yet"),
                         ];


                         $resolvedIn   =  [
                            "status"    => false,
                            "message"   => translate("Not Resolved Yet"),
                         ];


                         if($olderMessage){
                            $responseTime    = $olderMessage->created_at;
                            $responsedIn     = ticket_response_format(@$ticket->linkedPriority->response_time, $ticket->created_at, $olderMessage->created_at);
                         }

                         if($resolvedAt){

                            $resolvedIn     = ticket_response_format(@$ticket->linkedPriority->resolve_time, $ticket->created_at, $resolvedAt ,true);

                         }


                    @endphp

                    <span class="teaser @if($responsedIn['status']  && $resolvedIn['status'])) link-success @else link-danger  @endif pointer fs-18 badge-icon">
                        <i data-response = "{{json_encode($responsedIn)}}"  data-resolved = "{{json_encode($resolvedIn)}}"    data-priority = "{{$ticket->linkedPriority}}"  class="ri-timer-2-line badge-icon  response-modal"></i>

                    </span>
            </div>
            <a href="{{route('admin.ticket.view',$ticket->ticket_number)}}"
                class="title">
                <span class="title-name">

                    @php
                      $url = getImageUrl(getFilePaths()['profile']['user']['path'].'/'.@$ticket->user->image);
                        if(filter_var(@$ticket->user->image, FILTER_VALIDATE_URL) !== false){
                            $url = @$ticket->user->image;
                        }
                    @endphp

                    <img src="{{ $url }}" class=" w-20 h-20 rounded-circle" alt="{{@$user->image}}">
                    {{limit_words($ticket->name,6)}}
                    @if($ticket->messages_count > 0)
                        ({{$ticket->messages_count}})
                    @endif

                </span>

            </a>
        </div>

        <div class="col-mail col-mail-2">
            <a  href="{{route('admin.ticket.view',$ticket->ticket_number)}}"
                class="subject">
                <span class="subject-title">
                    {{limit_words($ticket->subject,10)}}
                </span> –
                <span class="teaser">

                    {{ limit_words(strip_tags($ticket->message),20)}}  @php echo get_bg_status($ticket->status) @endphp @if($ticket->status != App\Enums\TicketStatus::CLOSED->value)-   @php echo priority_status(@$ticket->linkedPriority->name ,@$ticket->linkedPriority->color_code ) @endphp @endif

                </span>



                @if(auth_user()->agent ==  App\Enums\StatusEnum::false->status())

                    <span class="ms-2 {{count($ticket->agents) == 0 ?"text-danger" :""}}">
                            @if(count($ticket->agents) > 0)
                                ({{translate("Assigned to : ")}}
                                {{$ticket->agents->first()?->id == auth_user()->id ? 'Me' :$ticket->agents->first()?->name }})
                            @else
                                ({{translate('Unassigned')}})
                            @endif
                    </span>
                @endif


            </a>



            <div class="date">


                <div>
                    {{ getTimeDifference($ticket->created_at)}}
                </div>



            </div>
        </div>

    </li>

@empty

   <div class="text-center mt-10">
         @include('admin.partials.not_found')
   </div>
@endforelse




