
@extends('frontend.layouts.master')
@section('content')

@include('frontend.section.breadcrumb')

 <section class="pt-100 pb-100 changelog-section">
    <div class="container">
        <div class="row">

            <div class="col-lg-12">
                    <ul class="changelog-list">
                        @forelse ($articles as $article)
                            <li class="mb-3">
                                <div class="title mb-2">
                                    <h3><a href="{{route("article.view",[
                                        "item"=>make_slug(@get_translation($article->items->name)) ,"category"=>$article->category->slug ,"title" => make_slug($article->name) ,'id'=>$article->id
                                    ])}}"> {{$article?->name}}</a></h3>
                                </div>

                                <div>
                                    <p>
                                        {{limit_words(strip_tags($article?->description),200)}}
                                    </p>

                                </div>


                                <ul class="d-flex flex-row align-items-center p-0 m-0 list-style-none gap-2 ">
                                    <li>
                                        <a class="fs-14" href="{{route('articles',[make_slug(get_translation($article->items->name)),$article->items?->id])}}">
                                            {{get_translation($article->items->name)}}
                                        </a>,
                                        <a class="fs-14" href="{{route("article.view",[
                                            "item"=>make_slug(get_translation($article->items->name)) ,"category"=>$article->category->slug ,"title" => make_slug($article->name) ,'id'=>$article->id
                                        ])}}">
                                            {{$article->name}}
                                        </a>

                                    </li>
                                </ul>
                            </li>
                        @empty

                           <li class="text-center">
                                @include('frontend.partials.not_found')
                           </li>

                        @endforelse
                    </ul>
            </div>
        </div>
    </div>
</section>
@endsection
