@extends('frontend.layouts.master')
@push('styles')
 <link href="{{asset('assets/global/css/summnernote.css')}}" rel="stylesheet" type="text/css" />
@endpush
@section('content')
@include('frontend.section.breadcrumb')
<section class="pt-100 pb-100">
    @php
     
       $messages      =  $ticket->messages->where('is_draft',App\Enums\StatusEnum::false->status());
       $latestTicket  =  $messages->first();
    @endphp
    <div class="container">
        <div class="container">
            <div class="ticket-tabs">
                <div class="row g-4 mb-5">
                    <div class="col-lg-3 col-md-6 col-sm-6">
                        <div class="ticket-item">
                            <p>
                                 {{translate("Department")}}
                            </p>
                            <span class="i-badge success">{{@get_translation($ticket->category->name) }}</span>
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 col-sm-6">
                        <div class="ticket-item">
                            <p>
                                 {{translate("Status")}}
                            </p>
                            @php echo get_bg_status($ticket->status ,false,true) @endphp
                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 col-sm-6">
                        <div class="ticket-item">
                            <p>{{translate("Priority")}}</p>

                            @php echo priority_status(@$ticket->linkedPriority->name ,@$ticket->linkedPriority->color_code ,'12') @endphp

                        </div>
                    </div>

                    <div class="col-lg-3 col-md-6 col-sm-6">
                        <div class="ticket-item">
                            <p>
                                {{translate('Latest Reply')}}
                            </p>

                            <span class="i-badge success">{{@getTimeDifference($latestTicket->created_at) }}</span>
                        </div>
                    </div>
                </div>
            </div>

            <div class="buttons-group">
                <div class="row justify-content-center">
                    <div class="col-lg-5">
                        <button class="Btn primary-btn btn--lg btn-icon-hover  submit-btn text-center reply-btn">
                            <span>{{translate("Reply Ticket")}}</span>
                            <i class="bi bi-reply-fill"></i>
                        </button>
                    </div>
                </div>
            </div>
            
            <div class="row reply-section d-none">
                <div class="col-lg-12">
                    <div class="replay-container mb-60">
                        <div>

                            @if($ticket->solved_request == App\Models\SupportTicket::REQUESTED)

                                <div class="ticket-request d-flex justify-content-start align-items-center gap-4 mb-4 flex-wrap">
                                    <h6>
                                        {{Translate("An agent has requested to mark this ticket as 'Solved.' Would you like to accept this request")}} ??
                                    </h6>

                                    <div>
                                        <a href="{{route("ticket.solve.request",[
                                            "ticketId" => $ticket->id ,
                                            "status"   => '1'
                                        ])}}" class="Btn  success-btn btn--md"> {{translate("Yes")}} <i class="bi bi-check-circle"></i> </a>
                                        <a href="{{route("ticket.solve.request",[
                                            "ticketId" => $ticket->id ,
                                            "status"   => "0"
                                        ])}}" class="Btn danger-btn btn--md"> {{translate("No")}}  <i class="bi bi-x-circle"></i> </a>
                                    </div>
                                </div>

                             @endif

                            <h6 class="ticket-id"> {{translate("Ticket id")}} : {{$ticket->ticket_number}}
                                <span class="fw-normal ps-3"> ({{$ticket->subject}})</span>
                            </h6>
                        </div>
                        <form action="{{route('user.ticket.reply')}}" class="mt-4" method="post" enctype="multipart/form-data">
                             @csrf
                            <div class="row">
                                @if($ticket->status !=  App\Enums\TicketStatus::CLOSED->value)
                                    <input type="hidden" name="ticket_id" value="{{$ticket->id}}">

                                    <div class="col-12">
                                        <div class="form-inner">
                                            <label for="text-editor" class="form-label">
                                                {{translate("Your Message")}} <span class="text-danger" >*</span>
                                            </label>
                                            <textarea class="form-control summernote " id="text-editor" name="message" rows="3" placeholder="{{translate("Message")}}">{{old("message")}}</textarea>
                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                          <div class="form-inner">
                                            <label for="ticketFile" class="form-label">
                                                {{translate("Upload File")}}
                                                <span class="text-danger">
                                                    ({{translate("Maximum File Upload :")}} {{site_settings("max_file_upload")}})
                                                 </span>
                                            </label>

                                            <div class="upload-filed">
                                                <input id="ticketFile" type='file' name="files[]" multiple  >

                                                <label for="ticketFile">
                                                   <div class="d-flex flex-column align-items-center justify-content-center gap-2">
                                                        <div class="d-flex align-items-center gap-3">
                                                        <span class="upload-drop-file">
                                                            <svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" x="0" y="0" viewBox="0 0 128 128" style="enable-background:new 0 0 512 512" xml:space="preserve" class=""><g><path fill="#f6f0ff" d="M99.091 84.317a22.6 22.6 0 1 0-4.709-44.708 31.448 31.448 0 0 0-60.764 0 22.6 22.6 0 1 0-4.71 44.708z" opacity="1" data-original="#f6f0ff" class=""></path><circle cx="64" cy="84.317" r="27.403" fill="#000" opacity="1" data-original="#000" class=""></circle><g fill="#f6f0ff"><path d="M59.053 80.798v12.926h9.894V80.798h7.705L64 68.146 51.348 80.798zM68.947 102.238h-9.894a1.75 1.75 0 0 1 0-3.5h9.894a1.75 1.75 0 0 1 0 3.5z" fill="#f6f0ff" opacity="1" data-original="#f6f0ff" class=""></path></g></g></svg>
                                                        </span>
                                                        <span class="upload-browse">Upload File Here </span>
                                                    </div>
                                                     <span class='label' data-js-label></span>
                                                   </div>
                                                </label>
                                            </div>
                                            
                                             <ul class="file-list"></ul>
                                        </div>
                                    </div>

                                    <div class="col-md-4 mt-3">
                                        <button type="submit" class="Btn secondary-btn btn--lg btn-icon-hover w-100 d-flex align-items-center justify-content-center" type="submit">
                                            <span> {{translate("Reply")}}</span>
                                            <i class="bi bi-arrow-right"></i>
                                        </button>
                                    </div>

                                @else
                                    <div class="col-lg-12 text-center">
                                        <p class="fs-18 text-danger">
                                            {{translate('Ticket Closed')}}
                                        </p>
                                    </div>
                                @endif

                            </div>
                        </form>

                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="all-tickets">

                        @forelse($messages as $message)

                            <div class="ticket-single">
                                <div class="ticket-header">
                                    <div class="author">
                                         @php

                                            $name        = translate('You');
                                            $designation = translate('Client');
                                            if($message->admin){
                                                $name        = $message->admin->name;
                                                $designation = translate('Superadmin');
                                                if($message->admin->agent == App\Enums\StatusEnum::true->status()){
                                                    $designation = translate('Support Agent');
                                                }
                                            }
                                         @endphp
                                        <h6>
                                             {{$name}}
                                        </h6>
                                        <span>
                                             {{ $designation}}
                                        </span>
                                    </div>
                                    <div class="date">
                                        <small>({{getTimeDifference($message->created_at)}})</small>
                                        @if(!$message->admin_id)
                                           <i class="mt-2 bi bi-check2{{$message->seen == App\Enums\StatusEnum::true->status() ?"-all":""}}"></i>
                                        @endif
                                    </div>
                                </div>

                                 <div class="ticket-message">
                                     @php echo $message->message @endphp
                                 </div>

                                <div class="ticket-body d-flex gap-2">

                                    @php
                                      $files = $message->file ? json_decode($message->file,true) :[];
                                    @endphp

                                    @if(count($files) != 0)
                                        @foreach( $files  as $file)
                                            <div class="file">
                                                <form class="d-flex" action="{{route("user.ticket.download.file")}}" method="post">
                                                    @csrf
                                                    <input hidden type="text" name="name" value="{{$file}}">

                                                    <button class="d-inline-flex download-attach" type="submit">
                                                        <i class="bi bi-download"></i> <span>{{translate('File-').$loop->index+1..".".pathinfo($file, PATHINFO_EXTENSION)}}</span>
                                                    </button>

                                                </form>
                                            </div>
                                        @endforeach
                                   @endif


                                </div>
                            </div>
                        @empty

                        @endforelse

                    </div>
                  </div>
            </div>
        </div>

    </div>
</section>

@endsection

@push('script-include')
	<script src="{{asset('assets/global/js/summernote.min.js')}}"></script>
	<script src="{{asset('assets/global/js/editor.init.js')}}"></script>
@endpush


@push('script-push')


<script>
   "use strict";

   $(document).keydown(function(event) {
    
        if (event.key.toUpperCase() === 'R' 
           && !event.ctrlKey 
           && !event.altKey 
           && !event.shiftKey 
           && !event.metaKey 
           &  !isTypingInInputField(event)) {
            enable_reply_option();
        }
    });

    $(document).on('click','.reply-btn',function(e){
        enable_reply_option()
    })
    
    function isTypingInInputField(event) {
        var targetTagName = event.target.tagName.toLowerCase();
        return (targetTagName === 'input' || targetTagName === 'textarea' || targetTagName === 'div');
    }

    function enable_reply_option (){
        $('.reply-section').toggleClass("d-none");

    }

</script>
@endpush


