@extends('user.layouts.master')
@push('styles')
 <link href="{{asset('assets/global/css/summnernote.css')}}" rel="stylesheet" type="text/css" />
@endpush
@section('content')
    <div class="container-fluid">

        <div class="row">
            <div class="col-lg-12">
                <div class="card mt-n4 mx-n4 mb-n5">
                    <div class="bg-primary-light">
                        <div class="card-body pb-4 mb-5">
                            <div class="row">
                                <div class="col-md">
                                    <div class="row align-items-center">
                                        <div class="col-md-auto">
                                            <div class="avatar-md mb-md-0 mb-4">

                                                @php
                                                    $url = getImageUrl(getFilePaths()['profile']['user']['path'].'/'.auth_user('web')->image,getFilePaths()['profile']['user']['size']);
                                                    if(filter_var(auth_user('web')->image, FILTER_VALIDATE_URL) !== false){
                                                        $url = auth_user('web')->image;
                                                    }
                                
                                                 @endphp
                                                <div class="avatar-title bg-white rounded-circle">
                                                    <img src="{{$url}}"
                                                        alt="user-profile" class="avatar-sm" />
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md">
                                            <h4 class="fw-semibold" id="ticket-title">
                                                {{ $ticket->ticket_number }} - {{ limit_words($ticket->subject, 25) }} </h4>

                                            <div class="hstack gap-3 flex-wrap">
                                                <div class="text-muted"><i class="ri-bug-line align-bottom me-1"></i><span
                                                        id="ticket-client">
                                                        {{ @get_translation($ticket->category->name) }}
                                                    </span></div>
                                                <div class="vr"></div>
                                                <div class="text-muted">{{ translate('Create Date') }} : <span
                                                        class="fw-medium " id="create-date">
                                                        {{ getDateTime($ticket->created_at) }}
                                                    </span></div>
                                                <div class="vr"></div>

                                                <div class="vr"></div>
                                                @php echo get_bg_status($ticket->status ,false,true)@endphp
                                                @php echo priority_status(@$ticket->linkedPriority->name ,@$ticket->linkedPriority->color_code,12 ) @endphp

                                            </div>
                                        </div>

                                    </div>

                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-xxl-9">

                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title mb-4">
                            {{ translate('Message') }}
                        </h5>
                        <div class="ticket-action-buttons">

                            <button class="reply-btn">
                                <i class="ri-reply-fill"></i>
                                {{translate("Reply")}}
                            </button>

                            @if($ticket->status !=  App\Enums\TicketStatus::CLOSED->value)
                                <button class="btn btn-success  btn-sm"
                                    data-bs-toggle="modal" data-bs-target="#cannedReply">
                                        <i class="ri-mail-line"></i>
                                        {{translate("Predefined Response")}}
                                </button>
                            @endif
                        </div>

                        @if($ticket->solved_request == App\Models\SupportTicket::REQUESTED)
                            <div class="ticket-request d-flex flex-wrap justify-content-start align-items-center gap-3 mt-4">
                                <div class="mb-0 alert alert-info fs-16 ">
                                    {{Translate("An agent has requested to mark this ticket as 'Solved.' Would you like to accept this request")}} ?? 
                                </div>
                                
                                <div>

                                    <a href="{{route("ticket.solve.request",[
                                        "ticketId" => $ticket->id ,
                                        "status"   => '1'
                                    ])}}" class="btn btn-success btn-lg me-2 add-btn waves ripple-light fs-15"
                                    ><i class="ri-checkbox-circle-line align-bottom  "></i>
                                        {{translate("Yes")}}
                                    </a>
                                    <a href="{{route("ticket.solve.request",[
                                        "ticketId" => $ticket->id ,
                                        "status"   => "0"
                                    ])}}" class="btn btn-danger btn-lg add-btn waves ripple-light fs-15"
                                    ><i class="ri-close-circle-line align-bottom "></i>
                                        {{translate("No")}}
                                    </a>
                             
                          
                                </div>
                            </div>
                        @endif
                    </div>
                </div>



                <div class="card reply-card d-none">
                    <div class="card-body pt-0 ">


                        <div class="replay-container style-dash">

                            <form action="{{ route('user.ticket.reply') }}" method="post" class="mt-4"
                                enctype="multipart/form-data">
                                @csrf
                                <div class="row">

                                    @if ($ticket->status != App\Enums\TicketStatus::CLOSED->value)
                                        <input type="hidden" name="ticket_id" value="{{ $ticket->id }}">

                                        <div class="col-12">
                                            <div class="form-inner">

                                                <textarea class="form-control summernote " id="text-editor" name="message" rows="3"
                                                    placeholder="{{ translate('Message') }}">{{ old('message') }}</textarea>

                                            </div>
                                        </div>

                                        <div class="col-12 ">
                                            <div class="form-inner mt-4">
                                                <label for="ticketFile" class="form-label">
                                                    {{ translate('Upload File') }}
                                                    <span class="text-danger">

                                                        ({{ translate('Maximum File Upload :') }}
                                                        {{ site_settings('max_file_upload') }})

                                                    </span>
                                                </label>
                                                <div class='file-input'>
                                                    <input multiple class="form-control" name="files[]" type="file"
                                                        id="ticketFile">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md-4 mt-3">
                                            <button type="submit" class="btn btn-md btn-primary">
                                                {{ translate('Reply') }}
                                                <i class="bi bi-arrow-right"></i>
                                            </button>
                                        </div>
                                    @else
                                        <div class="col-lg-12 text-center">
                                            <p class="fs-18 text-danger">
                                                {{ translate('Ticket Closed') }}
                                            </p>
                                        </div>
                                    @endif

                                </div>
                            </form>



                        </div>


                    </div>

                </div>


                @php
                    $messages      =  $ticket->messages->where('is_draft',App\Enums\StatusEnum::false->status());
                @endphp

              <div class="all-reply-item" data-simplebar>
                @foreach($messages as $message)
                    @php
                       $files = $message->file ? json_decode($message->file,true) : [];
                    @endphp
                    <div class="card">
                        <div class="card-body">

                            <div class="reply-item">
                                <div class="item-header">
                                    <div class="row align-items-center">
                                        <div class="col-lg-6">
                                            <div class="author-area">

                                                    @if($message->admin)
                                                        <img class="rounded-circle header-profile-user" src="{{getImageUrl(getFilePaths()['profile']['admin']['path']."/". $message->admin->image) }}" alt="{{$message->admin->image}}">
                                                    @else

                                                        <img class="rounded-circle header-profile-user" src="{{getImageUrl(getFilePaths()['profile']['user']['path']."/". @$ticket->user->image) }}" alt="{{$ticket->user->image}}">

                                                    @endif


                                                <div class="author-info">
                                                    <h6>
                                                        {{$message->admin? $message->admin->name : auth_user('web')->name }}
                                                    </h6>
                                                    @if($message->admin)

                                                    <p>{{translate("Replied To")}}
                                                        <a href="mailto:{{$ticket->email}}">
                                                            {{auth_user('web')->name}}
                                                        </a>
                                                    </p>

                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-lg-6 text-lg-end text-center d-flex align-items-center justify-content-end gap-2 ">
                                            <div class="reply-time">
                                                <span>   ({{getTimeDifference($message->created_at)}})</span>
                                            </div>

                                            @if(!$message->admin)
                                               <i class=" fs-16 link-success ri-check-{{$message->seen == App\Enums\StatusEnum::true->status() ?"double-":""}}fill"></i>
                                            @endif


                                        </div>
                                    </div>
                                </div>
                                <div class="item-body">
                                    @php echo $message->message @endphp

                                        @if(count($files) != 0)

                                                <div class="attachment-group">

                                                    @foreach( $files  as $file)


                                                        <form action="{{route("user.ticket.download.file")}}" method="post">
                                                            @csrf
                                                           <input hidden type="text" name="name" value="{{$file}}">

                                                           <button type="submit" class="download-attach">
                                                            <i class="ri-download-2-line"></i>
                                                            <span>{{translate('File-').$loop->index+1..".".pathinfo($file, PATHINFO_EXTENSION)}}</span>
                                                           </button>

                                                       </form>




                                                    @endforeach

                                                </div>

                                        @endif
                                </div>
                            </div>

                        </div>
                    </div>
                @endforeach


                @if($messages->count() == 0)
                    <div class="card">
                        <div class="card-body">
                            <div class="reply-item">

                                <div class="item-body">

                                    @include('admin.partials.not_found')

                                </div>
                            </div>
                        </div>
                    </div>
                @endif
			  </div>
              
            </div>

            <div class="col-xxl-3">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title mb-0">
                            {{ translate('Ticket Details') }}
                        </h5>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table-card">
                            <table class="table table-borderless align-middle mb-0">
                                <tbody>
                                    <tr>
                                        <td class="fw-medium">
                                            {{ translate('Ticket') }}
                                        </td>
                                        <td>
                                            {{ $ticket->ticket_number }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="fw-medium">
                                            {{ translate('User Name') }}
                                        </td>
                                        <td id="t-client-name">
                                            {{ $ticket->name }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="fw-medium">
                                            {{ translate('User Email') }}
                                        </td>
                                        <td id="t-client">
                                            {{ $ticket->email }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="fw-medium">
                                            {{ translate('Category') }}
                                        </td>
                                        <td> {{ @get_translation($ticket->category->name) }}</td>
                                    </tr>

                                    <tr>
                                        <td class="fw-medium">
                                            {{ translate('Assigned To') }}
                                        </td>
                                        <td>
                                            <span
                                                class="ms-2 {{ count($ticket->agents) == 0 ? 'text-danger' : 'text-info' }}">
                                                @if (count($ticket->agents) > 0)
                                                    {{ $ticket->agents->first()?->name }}
                                                @else
                                                    ({{ translate('Unassigned') }})
                                                @endif
                                            </span>
                                        </td>

                                    </tr>

                                    <tr>
                                        <td class="fw-medium">
                                            {{ translate('Create Date') }}
                                        </td>
                                        <td id="c-date">
                                            {{ getTimeDifference($ticket->created_at) }}
                                        </td>
                                    </tr>

                                    <tr>
                                        <td class="fw-medium">
                                            {{ translate('Last Activity') }}
                                        </td>
                                        <td>
                                            {{ @getTimeDifference($ticket->messages()->latest()->first()->created_at) }}
                                        </td>
                                    </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>

                </div>

                <div class="card">
                    <div class="card-header">
                        <h6 class="card-title mb-0">
                            {{ translate('Custom Ticket Data') }}
                        </h6>
                    </div>
                    <div class="card-body">

                        @php
                            $customData = json_decode($ticket->ticket_data, true);
                        @endphp

                        <div class="table-responsive table-card">
                            <table class="table table-borderless align-middle mb-0">
                                <tbody>
                                    @foreach ($customData as $key => $data)
                                        <tr>
                                            <td class="fw-medium">
                                                {{ ucfirst(str_replace('_', ' ', $key)) }}:
                                            </td>
                                            <td>
                                                {{ $data }}
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>



                <div class="card">
                    <div class="card-header">
                        <h6 class="card-title mb-0">
                            {{ translate('Main Ticket Attachment') }}
                        </h6>
                    </div>
                    <div class="card-body">

                        @php
                            $files = $ticket->messages->first() ?  json_decode($ticket->messages->first()->file, true) :[];
                        @endphp


                        @forelse($files as $file)
                            <div class="d-flex align-items-center border border-dashed p-2 rounded">
                                <div class="flex-shrink-0 avatar-sm">
                                    <div class="avatar-title bg-light rounded">
                                        <i class="ri-file-zip-line fs-20 text-primary"></i>
                                    </div>
                                </div>
                                <div class="flex-grow-1 ms-3">
                                    <h6 class="mb-1"><a href="javascript:void(0);"
                                            class="text-body">{{ translate('File-') . $loop->index + 1. . '.' . pathinfo($file, PATHINFO_EXTENSION) }}</a>
                                    </h6>

                                </div>
                                <div class="hstack gap-3 fs-16">

                                    <form action="{{route("user.ticket.download.file")}}" method="post">
                                        @csrf
                                       <input hidden type="text" name="name" value="{{$file}}">

                                       <button type="submit" class="download-attach">
                                        <i class="ri-download-2-line"></i>
                                        <span>{{translate('File-').$loop->index+1..".".pathinfo($file, PATHINFO_EXTENSION)}}</span>
                                       </button>

                                   </form>

                                </div>
                            </div>

                        @empty

                            <div class="text-center">

                                {{ translate('No file Found') }}

                            </div>
                        @endforelse

                    </div>
                </div>
            </div>

        </div>

        @include('modal.delete_modal')



        <div class="modal fade" id="cannedReply"  data-bs-keyboard="false" tabindex="-1"
            aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable modal-lg">
                <div class="modal-content">
                    <div class="modal-header p-3">
                        <h5 class="modal-title" id="modalTitle">{{ translate('Canned Reply') }}
                        </h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"
                            ></button>
                    </div>

                    @php
                        $cannedReplay = App\Models\CannedReply::active()
                            ->where('user_id', auth_user('web')->id)
                            ->get();
                    @endphp

                    <div class="modal-body">
                        <div class="row g-3">
                            <div class="col-xl-12">
                                <div class="row">
                                    <div class="col-lg-12">

                                        <div class="mb-3">
                                            <label class="form-label" for="cannedReplyBody">
                                                {{ translate('Reply List') }}

                                            </label>

                                            <select name="reply" class="form-select" id="cannedReplyBody" required>

                                                <option value="">
                                                    {{ translate('Select Template') }}
                                                </option>
                                                @foreach ($cannedReplay as $reply)
                                                    <option value="{{ $reply->body }}">
                                                        {{ $reply->title }}
                                                    </option>
                                                @endforeach

                                            </select>

                                        </div>


                                    </div>

                                </div>
                            </div>
                        </div>


                    </div>

                </div>
            </div>
        </div>

    </div>
@endsection

@push('style-include')
    <link href="{{ asset('assets/global/css/ticket.css') }}" rel="stylesheet" type="text/css" />
@endpush

@push('script-include')
	<script src="{{asset('assets/global/js/summernote.min.js')}}"></script>
	<script src="{{asset('assets/global/js/editor.init.js')}}"></script>
@endpush

@push('script-push')
    <script>
        (function($) {

           
            "use strict";

            $(document).keydown(function(event) {
                if (event.key.toUpperCase() === 'R' 
                && !event.ctrlKey 
                && !event.altKey 
                && !event.shiftKey 
                && !event.metaKey 
                &  !isTypingInInputField(event)) {
                    enable_reply_option();
                }
            });

            $(document).on('click','.reply-btn',function(e){
                enable_reply_option()
            })
            
            function isTypingInInputField(event) {
                var targetTagName = event.target.tagName.toLowerCase();
                return (targetTagName === 'input' || targetTagName === 'textarea' || targetTagName === 'div');
            }

            function enable_reply_option (){
                $('.reply-card').toggleClass('d-none')
            }

            $(document).on('change', '#cannedReplyBody', function(e) {
                
                var html = $(this).val()
                $('.summernote').summernote('destroy');
                $('.summernote').html(html);
                $('.summernote').summernote({
                    height: 300,
                    placeholder: '{{translate("Start typing...")}}',
                    toolbar: [
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['font', ['strikethrough', 'superscript', 'subscript']],
                    ['fontsize', ['fontsize']],
                    ['color', ['color']],
                    ['para', ['ul', 'ol', 'paragraph']],
                    ['height', ['height']],
                    ['insert', ['picture', 'link', 'video']],
                    ['view', ['codeview']],
                    ],
                    callbacks: {
                        onInit: function() {

                        }
                    }
                });
                $('.reply-card').removeClass('d-none')
                $('#cannedReply').modal('hide')
                e.preventDefault()
            })

        })(jQuery);
    </script>
@endpush
