@extends('user.layouts.master')
@section('content')
    <div class="container-fluid">
        <div class="email-wrapper d-lg-flex gap-2 pb-4">
            <div class="email-menu-sidebar">
                <div class="sidebar-menu-close d-xl-none d-block"><i class="ri-close-fill"></i></div>
                <div class="p-4 d-flex flex-column h-100">
                    <div class="mx-n4 px-4 email-menu-sidebar-scroll" data-simplebar>
                        <h5 class="fs-12 text-uppercase">
                            {{translate("Inbox")}}
                        </h5>
                        <div class="mail-list ticket-categories">
                        </div>
                    </div>
                </div>
            </div>

            <div class="email-content">
                <form action="{{route('user.ticket.mark')}}" id="ticketForm" method="post" >
                    @csrf
                    <div class="border-bottom ps-0 pt-3">
                        <div class="row mb-3 mb-sm-0 gy-3">

                            <div class="col col-sm-auto order-1 d-block d-lg-none">
                                <button type="button" class="btn btn-soft-success btn-icon btn-sm fs-16 email-menu-btn">
                                    <i class="ri-menu-2-fill align-bottom"></i>
                                </button>
                            </div>

                            <div class="col-sm order-3 order-sm-2">
                                <div class="hstack gap-sm-1 align-items-center flex-wrap email-topbar-link">

                                    <div class="dropdown">
                                        <button class="btn btn-ghost-primary btn-icon btn-sm fs-18" type="button"
                                            data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">

                                            <i class="ri-file-ppt-2-line align-bottom"></i>
                                        </button>
                                        <div data-bs-toggle="tooltip" data-bs-trigger="hover" data-bs-placement="top"
                                        title="Export"    class="dropdown-menu">

                                            <a class="dropdown-item" href="{{route('user.ticket.export','pdf')}}">
                                                {{Translate('Export As Pdf')}}
                                            </a>

                                            <a class="dropdown-item" href="{{route('user.ticket.export','csv')}}">
                                                {{Translate('Export As Csv')}}
                                            </a>

                                        </div>
                                    </div>


                                </div>
                            </div>
                            <div class="col-md order-2 order-sm-3">
                                <div class="d-flex gap-sm-1 email-topbar-link">
                                    <input type="text" class="form-control" id="searchInput" name="search" placeholder="{{translate('Ticket Number Then Hit Enter')}}" >

                                    <button type="button" class="btn btn-ghost-secondary btn-icon btn-sm reset-table res fs-16">
                                        <i class="ri-refresh-line align-bottom"></i>
                                    </button>

                                </div>
                            </div>
                        </div>

                        <div class="row align-items-end mt-3">
                            <div class="col-lg">
                                <div id="mail-filter-navlist">
                                    <ul class=" ticket-status nav nav-tabs nav-tabs-custom nav-primary gap-1 text-center border-bottom-0">


                                    </ul>
                                </div>

                            </div>
                            <div class="col-lg-auto my-2 ticket-counter d-none">
                                <div class="text-muted text-end">1-<span id="currentPageData">
                                    </span>
                                    {{translate("Of")}}
                                    <span  id="totalPageData"></span></div>
                            </div>
                        </div>
                    </div>

                    <div class="tab-content">
                        <div class="tab-pane fade show active" >
                            <div class="message-list-content message-list-scroll" data-simplebar>
                                <div class="d-none" id="elmLoader">
                                    <div class="spinner-border text-primary avatar-sm" role="status">
                                        <span class="visually-hidden"></span>
                                    </div>
                                </div>

                                <ul class="message-list" id="ticket-list">

                                </ul>

                                <div class="text-center pt-4 load-more-div d-none">
                                    <button type="button" class="btn btn-md btn-success add-btn waves ripple-light load-more">
                                        <i class="ri-refresh-line align-bottom me-1"></i>
                                        {{translate('Load More')}}
                                    </button>

                                </div>


                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
@endsection

@push('style-include')
    <link href="{{ asset('assets/global/css/ticket.css') }}" rel="stylesheet" type="text/css" />
@endpush



@push('script-push')
    <script>
        (function($) {
            "use strict";

        var page = 1;
        var category_id = null;
        var status = null;
        var reset = false;
        var search = null;


        loadMoreData(page);

        $(document).on('keypress','#searchInput',function(e){

            var keycode = (event.keyCode ? event.keyCode : event.which);
            if(keycode == '13'){
                reset = true;
                search = $(this).val();
                loadMoreData(page,true);
                e.preventDefault();
            }
        });



        $(document).on('click','.load-more',function(e){
            page++;
            reset = false
            loadMoreData(page,true);
            e.preventDefault()
        })

        $(document).on('click','.reset-table',function(e){

            $("#searchInput").val('')
            page = 1;
            reset = true;
            status = null;
            search  = null;
            category_id= null;
            loadMoreData(page );
            e.preventDefault()
        })

        //get ticket by category
        $(document).on('click','.ticket-category',function(e){

            category_id = $(this).attr('data-id')
            page = 1;
            reset = true;
            status = null;
            search = null;
            loadMoreData(page)
            $('.ticket-categoires .active').removeClass('active');
            $(this).addClass('active')
            e.preventDefault()
        })

        //get ticket by status
        $(document).on('click','.status-filter-btn',function(e){
            page = 1;
            reset = true;
            status = $(this).attr('data-status')
            loadMoreData(page,true)
            e.preventDefault()

        });

        // load more data after scroll
        function loadMoreData(page ,loadBtn = false ) {

            $.ajax({
                    url: "{{route('user.ticket.list')}}",
                    type: "get",
                    data:{
                        'page' : page,
                        'category_id' : category_id,
                        'status' : status,
                        'search' : search,
                    },
                    dataType:'json',
                    beforeSend: function () {
                        $('#elmLoader').removeClass('d-none');
                    },
                    success:(function (response) {
                        $('.load-more-div').removeClass('d-none')

                        $('#elmLoader').addClass('d-none');
                        if(response.current_page_ticket == response.total_ticket){
                            $('.load-more-div').addClass('d-none')
                        }
                        if(response.total_ticket > 0 ){
                            $('.ticket-counter').removeClass('d-none')
                            $("#currentPageData").html(response.current_page_ticket)
                            $("#totalPageData").html(response.total_ticket)
                        }
                        else{
                            $('.ticket-counter').addClass('d-none')
                        }

                        $(".ticket-status").html(response.status_html)
                        $(".ticket-categories").html(response.categories_html)
                        if(!loadBtn){
                             $(".tag-list").html(response.tag_html)
                        }
                        if(reset){
                             $('#ticket-list').html(response.ticket_html)
                        }
                        else{
                             $('#ticket-list').append(response.ticket_html)
                        }

                     }),

                     error:(function (error) {
                        $('#elmLoader').addClass('d-none');



                        if(error && error.responseJSON){
                            for (let i in error.responseJSON.errors) {
                                toastr(error.responseJSON.errors[i][0],'danger')
                            }
                        }
                         $('#ticket-list').html(`
                            <div class="text-center text-danger mt-10">
                                "{{translate('Something Went Wrong!!')}}"
                            </div>
                        `)

                    })
                })
        }


        })(jQuery);
    </script>
@endpush
